import QtQuick 2.15
import QtQuick.Window 2.15
import QtQuick.Controls 2.15

Window {
    width: 640
    height: 480
    visible: true
    title: qsTr("Hello World")

    Rectangle {
        id: background
        anchors.fill: parent
        color: mouseArea.containsMouse ? "red" : "green"
    }

    MouseArea {
        id: mouseArea
        anchors.fill: parent
        hoverEnabled: true

        onEntered: console.log("onEntered")
        onExited: console.log("onExited")
        //onPositionChanged: console.log("position", mouse.x, mouse.y)

        Button {
            id: button
            anchors.centerIn: parent
            width: 200
            height: 100
        }
    }
}
